> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List history items

> List text-to-speech history items.



## OpenAPI

````yaml /openapi.json get /v1/history
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction rewriting.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/history:
    get:
      tags:
        - History
      summary: List history items
      description: List text-to-speech history items.
      operationId: history_list
      parameters:
        - name: voice_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Voice Id
          description: Filter by voice_id.
        - name: model_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Model Id
          description: Filter by model_id.
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
          description: Filter by script text.
        - name: sort_direction
          in: query
          required: false
          schema:
            type: string
            default: desc
            title: Sort Direction
          description: 'Sort direction: asc or desc.'
        - name: start_after_history_item_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Start After History Item Id
          description: Cursor for forward pagination.
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: From
        - name: to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: To
        - name: status_class
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status Class
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number for offset pagination.
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Page Size
          description: Records per page.
      responses:
        '200':
          description: Paginated history list.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HistoryListResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '400':
          description: HTTP 400 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: HTTP 422 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/history" \
              --header "xi-api-key: $BREEZE_API_KEY"
        - lang: Python
          label: Python SDK
          source: |-
            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            items = client.history.list()
            for item in items["history"]:
                print(item["history_item_id"], item["text"])
        - lang: TypeScript
          label: TypeScript SDK
          source: |-
            import { BreezeBlueClient } from "@breeze.blue/sdk";

            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });

            const items = await client.history.list();
            for (const item of items.history) {
              console.log(item.historyItemId, item.text);
            }
components:
  schemas:
    HistoryListResponse:
      properties:
        history:
          items:
            $ref: '#/components/schemas/HistoryItemResponse'
          title: History
          type: array
        has_more:
          title: Has More
          type: boolean
        last_history_item_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Last History Item Id
        total:
          title: Total
          type: integer
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
      required:
        - history
        - has_more
        - total
        - page
        - page_size
      title: HistoryListResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
    ValidationErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Meta
      required:
        - code
        - detail
        - error
      title: ValidationErrorResponse
      type: object
    HistoryItemResponse:
      additionalProperties: true
      properties:
        history_item_id:
          title: History Item Id
          type: string
        voice_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Voice Id
        voice_name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Voice Name
        voice_category:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Voice Category
        model_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Model Id
        text:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Text
        source:
          title: Source
          type: string
        state:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: State
        content_type:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Content Type
        date_unix:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Date Unix
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          title: Request Id
        latency_ms:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Latency Ms
        http_status:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Http Status
        billable_units:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Billable Units
        cost:
          anyOf:
            - type: number
            - type: 'null'
          default: null
          title: Cost
        cost_millicredits:
          anyOf:
            - type: integer
            - type: 'null'
          default: null
          title: Cost Millicredits
      required:
        - history_item_id
        - source
      title: HistoryItemResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````